View Revisions: Issue #3165

Summary 0003165: Color information lost in STEP export
Revision 2017-08-18 10:29 by Kunda1
Steps To Reproduce
# Save the attached trivial OpenSCAD file test.scad somewhere handy and use this script

import importCSG
import Part

# Read in the OpenSCAD file to get a colored part
importCSG.open(u"test.scad")
App.setActiveDocument("test")

# Write out STEP
Part.export([App.ActiveDocument.getObject('Group')],'a.step')
App.ActiveDocument.Group.Shape.exportStep('b.step')

# Observe there is no color information in the step file by confirming the absence of any STYLED_ITEM('color' 
constructs in the file or by using your favourite step viewer.

Revision 2017-08-18 06:49 by Batteries Included
Steps To Reproduce # Save the attached trivial OpenSCAD file test.scad somewhere handy and use this script
import importCSG
import Part

# Read in the OpenSCAD file to get a colored part
importCSG.open(u"test.scad")
App.setActiveDocument("test")

# Write out STEP
Part.export([App.ActiveDocument.getObject('Group')],'a.step')
App.ActiveDocument.Group.Shape.exportStep('b.step')

# Observe there is no color information in the step file by confirming the absence of any STYLED_ITEM('color' constructs in the file or by using your favourite step viewer.